Wary 504 (5.1 RC)

Here it is:

http://distro.ibiblio.org/pub/linux/distributions/quirky/test/wary-504-5.1rc/

Testers are welcome!

504 is built with the 2.6.32.28 kernel. I will be building 5.1-final with a choice of couple of other kernels, including one "ide" kernel.

FYI
Note, I have quite a lot "on my plate" at the moment. Things to do other than Puppy development. There have been lots of requests and information posts (mostly forum pm's) recently and I am unable to respond. I will tackle things as and when I get the time, and hopefully without getting stressed.


Posted on 17 Feb 2011, 9:29


Comments:

Posted on 17 Feb 2011, 15:42 by Terryphi
Wary 504 looking good!
Thanks Barry. Wary 504 is working very well for me. Take all the time you need to sort out your other concerns. You have given us plenty to work on.

From the change in name of the .sfs I assume you have dropped the Simple Filename System. Is that so or is it just a change in naming policy?


Posted on 17 Feb 2011, 16:27 by BarryK
Wary 504 forum feedback
Here is the forum thread. Page 5 is where 504 starts:

http://murga-linux.com/puppy/viewtopic.php?t=64522&start=60



Posted on 18 Feb 2011, 14:42 by BarryK
504 workarounds
Terryphi,
I think it was you who reported locale not getting upgraded? I did apply a hack in 504, but don't think that works properly, so have applied another hack, so it should work for the final.

Maddox,
I have applied another hack in /etc/init.d/10alsa to fix your sound problem. I have simply commented out the test for existence of /tmp/rc_d_rc_services_alsa_ok.



Posted on 18 Feb 2011, 15:15 by Terryphi
504 workarounds
Barry,

I am no coder but have hacked my Wary a bit to make EN_GB.ut8 and GMT-0 the defaults so I am not sure whether your fixes are working. However, it appears to me that the latest build is almost fixed but LC_COLLATE is definitely not set correctly. It does not use the selected LANG locale because it is set to en_US in MU's fix in /etc/profile.

#v426 recommended by MU, avoid crashing for non-English locales on some apps...

export LC_COLLATE=en_US


Commenting this line out does not seem to help. I have no idea whether the LC_COLLATE setting is of any importance.

Perhaps you can provide details of the file(s) you have amended?


Posted on 18 Feb 2011, 15:21 by Terryphi
Locale
It is early morning here so I slipped a typo into my previous post. I should, of course, have written en_GB.utf8 .


Posted on 19 Feb 2011, 8:46 by BarryK
ctorrent broken?
Zigbert has reported that ctorrent is broken, and consequently the GUI pctorrent.

So, I have removed these two packages from Wary.



Posted on 19 Feb 2011, 24:37 by Iguleder
Transmission
ctorrent is broken for ages, I don't see why it still ships with puppies.

It's easy to trim its package to 300-400 KB, which is worth it for such a good application. Applications like Pidgin and OpenOffice don't ship with Puppy out-of-the-box, so having a package that all major distros use that is still Puppy-size is great.


Posted on 20 Feb 2011, 19:37 by ttuuxxx
Transmission
Yes I agree with Iguleder. A stripped down version of transmission is like 350kb pet, most people would use that way before a lot of other apps, Personally I would use it way before ever using Gnumeric.
ttuuxxx